//+-------------------------------------------------------------------------
//
//  Microsoft Windows
//  Copyright (c) Microsoft Corporation. All rights reserved.
//
//  Component: WSDAPI - Microsoft Web Services for Devices API
// 
//  File: wsdns.h
//
//  Abstract: WSDAPI Namespace Definitions
//
//  THIS FILE IS AUTOMATICALLY GENERATED.  DO NOT MODIFY IT BY HAND.
//
//--------------------------------------------------------------------------
#pragma once

    
// 
// Namespace http://schemas.xmlsoap.org/ws/2004/08/eventing
// 
#define NAMESPACE_ENCODING_EVENTING WSDXML_NAMESPACE_ENCODING(0,0)
extern WSDXML_NAMESPACE Namespace_Eventing;


#define WSE_Identifier                         WSDXML_NAME_ENCODING(0,NAMESPACE_ENCODING_EVENTING)
#define WSE_DeliveryModeRequestedUnavailable   WSDXML_NAME_ENCODING(1,NAMESPACE_ENCODING_EVENTING)
#define WSE_InvalidExpirationTime              WSDXML_NAME_ENCODING(2,NAMESPACE_ENCODING_EVENTING)
#define WSE_UnsupportedExpirationTime          WSDXML_NAME_ENCODING(3,NAMESPACE_ENCODING_EVENTING)
#define WSE_FilteringNotSupported              WSDXML_NAME_ENCODING(4,NAMESPACE_ENCODING_EVENTING)
#define WSE_FilteringRequestedUnavailable      WSDXML_NAME_ENCODING(5,NAMESPACE_ENCODING_EVENTING)
#define WSE_EventSourceUnableToProcess         WSDXML_NAME_ENCODING(6,NAMESPACE_ENCODING_EVENTING)
#define WSE_UnableToRenew                      WSDXML_NAME_ENCODING(7,NAMESPACE_ENCODING_EVENTING)
#define WSE_InvalidMessage                     WSDXML_NAME_ENCODING(8,NAMESPACE_ENCODING_EVENTING)
#define WSE_SupportedDialect                   WSDXML_NAME_ENCODING(9,NAMESPACE_ENCODING_EVENTING)
#define WSE_SupportedDeliveryMode              WSDXML_NAME_ENCODING(10,NAMESPACE_ENCODING_EVENTING)
#define WSE_Eventing                           WSDXML_NAME_ENCODING(11,NAMESPACE_ENCODING_EVENTING)
#define WSE_Subscribe                          WSDXML_NAME_ENCODING(12,NAMESPACE_ENCODING_EVENTING)
#define WSE_SubscribeResponse                  WSDXML_NAME_ENCODING(13,NAMESPACE_ENCODING_EVENTING)
#define WSE_ReturnValue                        WSDXML_NAME_ENCODING(14,NAMESPACE_ENCODING_EVENTING)
#define WSE_EndTo                              WSDXML_NAME_ENCODING(15,NAMESPACE_ENCODING_EVENTING)
#define WSE_Mode                               WSDXML_NAME_ENCODING(16,NAMESPACE_ENCODING_EVENTING)
#define WSE_Data                               WSDXML_NAME_ENCODING(17,NAMESPACE_ENCODING_EVENTING)
#define WSE_Delivery                           WSDXML_NAME_ENCODING(18,NAMESPACE_ENCODING_EVENTING)
#define WSE_Duration                           WSDXML_NAME_ENCODING(19,NAMESPACE_ENCODING_EVENTING)
#define WSE_DateTime                           WSDXML_NAME_ENCODING(20,NAMESPACE_ENCODING_EVENTING)
#define WSE_Expires                            WSDXML_NAME_ENCODING(21,NAMESPACE_ENCODING_EVENTING)
#define WSE_Dialect                            WSDXML_NAME_ENCODING(22,NAMESPACE_ENCODING_EVENTING)
#define WSE_Filter                             WSDXML_NAME_ENCODING(23,NAMESPACE_ENCODING_EVENTING)
#define WSE_Any                                WSDXML_NAME_ENCODING(24,NAMESPACE_ENCODING_EVENTING)
#define WSE_SubscriptionManager                WSDXML_NAME_ENCODING(25,NAMESPACE_ENCODING_EVENTING)
#define WSE_Any1                               WSDXML_NAME_ENCODING(26,NAMESPACE_ENCODING_EVENTING)
#define WSE_Renew                              WSDXML_NAME_ENCODING(27,NAMESPACE_ENCODING_EVENTING)
#define WSE_RenewResponse                      WSDXML_NAME_ENCODING(28,NAMESPACE_ENCODING_EVENTING)
#define WSE_GetStatus                          WSDXML_NAME_ENCODING(29,NAMESPACE_ENCODING_EVENTING)
#define WSE_GetStatusResponse                  WSDXML_NAME_ENCODING(30,NAMESPACE_ENCODING_EVENTING)
#define WSE_Unsubscribe                        WSDXML_NAME_ENCODING(31,NAMESPACE_ENCODING_EVENTING)
#define WSE_UnsubscribeResponse                WSDXML_NAME_ENCODING(32,NAMESPACE_ENCODING_EVENTING)
#define WSE_EventSink                          WSDXML_NAME_ENCODING(33,NAMESPACE_ENCODING_EVENTING)
#define WSE_SubscriptionEnd                    WSDXML_NAME_ENCODING(34,NAMESPACE_ENCODING_EVENTING)
#define WSE_Status                             WSDXML_NAME_ENCODING(35,NAMESPACE_ENCODING_EVENTING)
#define WSE_String                             WSDXML_NAME_ENCODING(36,NAMESPACE_ENCODING_EVENTING)
#define WSE_Reason                             WSDXML_NAME_ENCODING(37,NAMESPACE_ENCODING_EVENTING)
#define WSE_NotifyTo                           WSDXML_NAME_ENCODING(38,NAMESPACE_ENCODING_EVENTING)

// 
// Namespace http://schemas.xmlsoap.org/ws/2004/08/addressing
// 
#define NAMESPACE_ENCODING_ADDRESSING WSDXML_NAMESPACE_ENCODING(1,0)
extern WSDXML_NAMESPACE Namespace_Addressing;


#define WSA_EndpointReference                  WSDXML_NAME_ENCODING(0,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_Address                            WSDXML_NAME_ENCODING(1,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_ReferenceParameters                WSDXML_NAME_ENCODING(2,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_PortType                           WSDXML_NAME_ENCODING(3,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_ServiceName                        WSDXML_NAME_ENCODING(4,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_PortName                           WSDXML_NAME_ENCODING(5,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_MessageID                          WSDXML_NAME_ENCODING(6,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_RelatesTo                          WSDXML_NAME_ENCODING(7,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_RelationshipType                   WSDXML_NAME_ENCODING(8,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_Reply                              WSDXML_NAME_ENCODING(9,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_ReplyTo                            WSDXML_NAME_ENCODING(10,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_From                               WSDXML_NAME_ENCODING(11,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_FaultTo                            WSDXML_NAME_ENCODING(12,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_To                                 WSDXML_NAME_ENCODING(13,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_Action                             WSDXML_NAME_ENCODING(14,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_Recipient                          WSDXML_NAME_ENCODING(15,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_InvalidMessageInformationHeader    WSDXML_NAME_ENCODING(16,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_MessageInformationHeaderRequired   WSDXML_NAME_ENCODING(17,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_DestinationUnreachable             WSDXML_NAME_ENCODING(18,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_ActionNotSupported                 WSDXML_NAME_ENCODING(19,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_EndpointUnavailable                WSDXML_NAME_ENCODING(20,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_ReferenceProperties                WSDXML_NAME_ENCODING(21,NAMESPACE_ENCODING_ADDRESSING)
#define WSA_Element                            WSDXML_NAME_ENCODING(22,NAMESPACE_ENCODING_ADDRESSING)

// 
// Namespace http://schemas.xmlsoap.org/ws/2005/04/discovery
// 
#define NAMESPACE_ENCODING_DISCOVERY WSDXML_NAMESPACE_ENCODING(2,0)
extern WSDXML_NAMESPACE Namespace_Discovery;


#define WSDISCO_Hello             WSDXML_NAME_ENCODING(0,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_Bye               WSDXML_NAME_ENCODING(1,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_Probe             WSDXML_NAME_ENCODING(2,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_ProbeMatches      WSDXML_NAME_ENCODING(3,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_ProbeMatch        WSDXML_NAME_ENCODING(4,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_Resolve           WSDXML_NAME_ENCODING(5,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_ResolveMatch      WSDXML_NAME_ENCODING(6,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_Types             WSDXML_NAME_ENCODING(7,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_Scopes            WSDXML_NAME_ENCODING(8,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_MetadataVersion   WSDXML_NAME_ENCODING(9,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_Transport         WSDXML_NAME_ENCODING(10,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_AppSequence       WSDXML_NAME_ENCODING(11,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_InstanceId        WSDXML_NAME_ENCODING(12,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_SequenceId        WSDXML_NAME_ENCODING(13,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_MessageNumber     WSDXML_NAME_ENCODING(14,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_MatchBy           WSDXML_NAME_ENCODING(15,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_XAddrs            WSDXML_NAME_ENCODING(16,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_DiscoveryProxy    WSDXML_NAME_ENCODING(17,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_TargetService     WSDXML_NAME_ENCODING(18,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_Element           WSDXML_NAME_ENCODING(19,NAMESPACE_ENCODING_DISCOVERY)
#define WSDISCO_ResolveMatches    WSDXML_NAME_ENCODING(20,NAMESPACE_ENCODING_DISCOVERY)

// 
// Namespace http://www.w3.org/2004/08/xop/include
// 
#define NAMESPACE_ENCODING_INCLUDE WSDXML_NAMESPACE_ENCODING(3,0)
extern WSDXML_NAMESPACE Namespace_Include;


#define XOP_Include   WSDXML_NAME_ENCODING(0,NAMESPACE_ENCODING_INCLUDE)
#define XOP_Href      WSDXML_NAME_ENCODING(1,NAMESPACE_ENCODING_INCLUDE)

// 
// Namespace http://www.w3.org/XML/1998/namespace
// 
#define NAMESPACE_ENCODING_XML WSDXML_NAMESPACE_ENCODING(4,0)
extern WSDXML_NAMESPACE Namespace_XML;


#define XML_Lang    WSDXML_NAME_ENCODING(0,NAMESPACE_ENCODING_XML)
#define XML_Space   WSDXML_NAME_ENCODING(1,NAMESPACE_ENCODING_XML)

// 
// Namespace http://schemas.xmlsoap.org/ws/2006/02/devprof
// 
#define NAMESPACE_ENCODING_DEVPROF WSDXML_NAMESPACE_ENCODING(5,0)
extern WSDXML_NAMESPACE Namespace_Devprof;


#define WSD_Device                     WSDXML_NAME_ENCODING(0,NAMESPACE_ENCODING_DEVPROF)
#define WSD_FilterActionNotSupported   WSDXML_NAME_ENCODING(1,NAMESPACE_ENCODING_DEVPROF)
#define WSD_ThisModel                  WSDXML_NAME_ENCODING(2,NAMESPACE_ENCODING_DEVPROF)
#define WSD_Manufacturer               WSDXML_NAME_ENCODING(3,NAMESPACE_ENCODING_DEVPROF)
#define WSD_ManufacturerUrl            WSDXML_NAME_ENCODING(4,NAMESPACE_ENCODING_DEVPROF)
#define WSD_ModelName                  WSDXML_NAME_ENCODING(5,NAMESPACE_ENCODING_DEVPROF)
#define WSD_ModelNumber                WSDXML_NAME_ENCODING(6,NAMESPACE_ENCODING_DEVPROF)
#define WSD_ModelUrl                   WSDXML_NAME_ENCODING(7,NAMESPACE_ENCODING_DEVPROF)
#define WSD_PresentationUrl            WSDXML_NAME_ENCODING(8,NAMESPACE_ENCODING_DEVPROF)
#define WSD_ThisDevice                 WSDXML_NAME_ENCODING(9,NAMESPACE_ENCODING_DEVPROF)
#define WSD_FriendlyName               WSDXML_NAME_ENCODING(10,NAMESPACE_ENCODING_DEVPROF)
#define WSD_FirmwareVersion            WSDXML_NAME_ENCODING(11,NAMESPACE_ENCODING_DEVPROF)
#define WSD_SerialNumber               WSDXML_NAME_ENCODING(12,NAMESPACE_ENCODING_DEVPROF)
#define WSD_Actions                    WSDXML_NAME_ENCODING(13,NAMESPACE_ENCODING_DEVPROF)
#define WSD_Types                      WSDXML_NAME_ENCODING(14,NAMESPACE_ENCODING_DEVPROF)
#define WSD_ServiceId                  WSDXML_NAME_ENCODING(15,NAMESPACE_ENCODING_DEVPROF)
#define WSD_Host                       WSDXML_NAME_ENCODING(16,NAMESPACE_ENCODING_DEVPROF)
#define WSD_Hosted                     WSDXML_NAME_ENCODING(17,NAMESPACE_ENCODING_DEVPROF)
#define WSD_Element                    WSDXML_NAME_ENCODING(18,NAMESPACE_ENCODING_DEVPROF)
#define WSD_Relationship               WSDXML_NAME_ENCODING(19,NAMESPACE_ENCODING_DEVPROF)
#define WSD_Type                       WSDXML_NAME_ENCODING(20,NAMESPACE_ENCODING_DEVPROF)
#define WSD_Data                       WSDXML_NAME_ENCODING(21,NAMESPACE_ENCODING_DEVPROF)

// 
// Namespace http://schemas.xmlsoap.org/ws/2004/09/mex
// 
#define NAMESPACE_ENCODING_MEX WSDXML_NAMESPACE_ENCODING(6,0)
extern WSDXML_NAMESPACE Namespace_Mex;


#define WSX_Mex                   WSDXML_NAME_ENCODING(0,NAMESPACE_ENCODING_MEX)
#define WSX_GetMetadata           WSDXML_NAME_ENCODING(1,NAMESPACE_ENCODING_MEX)
#define WSX_GetMetadataResponse   WSDXML_NAME_ENCODING(2,NAMESPACE_ENCODING_MEX)
#define WSX_ReturnValue           WSDXML_NAME_ENCODING(3,NAMESPACE_ENCODING_MEX)
#define WSX_MetadataSection       WSDXML_NAME_ENCODING(4,NAMESPACE_ENCODING_MEX)
#define WSX_Dialect               WSDXML_NAME_ENCODING(5,NAMESPACE_ENCODING_MEX)
#define WSX_Identifier            WSDXML_NAME_ENCODING(6,NAMESPACE_ENCODING_MEX)
#define WSX_Data                  WSDXML_NAME_ENCODING(7,NAMESPACE_ENCODING_MEX)
#define WSX_MetadataReference     WSDXML_NAME_ENCODING(8,NAMESPACE_ENCODING_MEX)
#define WSX_Location              WSDXML_NAME_ENCODING(9,NAMESPACE_ENCODING_MEX)
#define WSX_Element               WSDXML_NAME_ENCODING(10,NAMESPACE_ENCODING_MEX)
#define WSX_Metadata              WSDXML_NAME_ENCODING(11,NAMESPACE_ENCODING_MEX)

// 
// Namespace http://www.w3.org/2003/05/soap-envelope
// 
#define NAMESPACE_ENCODING_ENVELOPE WSDXML_NAMESPACE_ENCODING(7,0)
extern WSDXML_NAMESPACE Namespace_Envelope;


#define SOAP_Envelope              WSDXML_NAME_ENCODING(0,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Header                WSDXML_NAME_ENCODING(1,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Body                  WSDXML_NAME_ENCODING(2,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_MustUnderstand        WSDXML_NAME_ENCODING(3,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Role                  WSDXML_NAME_ENCODING(4,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Actor                 WSDXML_NAME_ENCODING(5,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Fault                 WSDXML_NAME_ENCODING(6,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Code                  WSDXML_NAME_ENCODING(7,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Subcode               WSDXML_NAME_ENCODING(8,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Value                 WSDXML_NAME_ENCODING(9,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Reason                WSDXML_NAME_ENCODING(10,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Text                  WSDXML_NAME_ENCODING(11,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Node                  WSDXML_NAME_ENCODING(12,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Role1                 WSDXML_NAME_ENCODING(13,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Detail                WSDXML_NAME_ENCODING(14,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Upgrade               WSDXML_NAME_ENCODING(15,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_SupportedEnvelope     WSDXML_NAME_ENCODING(16,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_NotUnderstood         WSDXML_NAME_ENCODING(17,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_VersionMismatch       WSDXML_NAME_ENCODING(18,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_MustUnderstand1       WSDXML_NAME_ENCODING(19,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_DataEncodingUnknown   WSDXML_NAME_ENCODING(20,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Sender                WSDXML_NAME_ENCODING(21,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Receiver              WSDXML_NAME_ENCODING(22,NAMESPACE_ENCODING_ENVELOPE)
#define SOAP_Element               WSDXML_NAME_ENCODING(23,NAMESPACE_ENCODING_ENVELOPE)

extern WSDXML_NAMESPACE* WSDNamespaces[8];
#define WSDRegisterNamespaces(pContext) pContext->SetNamespaces(WSDNamespaces,(sizeof(WSDNamespaces) / sizeof(WSDNamespaces[0])),0)

// 
// Port type http://schemas.xmlsoap.org/ws/2004/09/mex/mex
// 
extern WSD_OPERATION Operations_mex[];
extern WSD_PORT_TYPE PortType_mex;

// 
// Port type http://schemas.xmlsoap.org/ws/2004/08/eventing/Eventing
// 
extern WSD_OPERATION Operations_Eventing[];
extern WSD_PORT_TYPE PortType_Eventing;

// 
// Port type http://schemas.xmlsoap.org/ws/2004/08/eventing/EventSink
// 
extern WSD_OPERATION Operations_EventSink[];
extern WSD_PORT_TYPE PortType_EventSink;


